#258 Cannot create a reservation

None
closed
nobody
None
1
2012-09-05
2012-07-31
No

Hello all

I have a problem with the mrbs system, i have installed and configured the system and it had worked fine for some days (2 weeks more or less), then when anybody wants to create a reservation the mrbs is very very slow. (it doesnt appears the 2 green check marks at the end of the page).

I have done the isntallation on several enviroments
Windows with xampp same issue, so i thought it could be better to move it to a linux environment, but it happens again. Witha fresh installation it works fine but when after some days past the mrbs is hanged.

I have updated to the latest versions of apache mysql and php but with no solutions.

I have others websites in the system (using mysql) and there are no problems in these websites.

Server is not overloaded in its resources

Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

the database has only 175 records.

Loading Reports page and getting the results of any query runs perfect is only when you try to make a reservation.

If you need further information i will provide it

Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19 22:14:14 UTC 2010 i686
Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
PHP: 5.3.3-1ubuntu9.10

Sorry for my poor english

Best regards

Nacho

Related

Bugs: #240

Discussion

  • Campbell Morrison

    Things to try:
    (1) Can you try disabling JavaScript in your browser and see if the problem goes away? (2) Whether it does or not can you then turn JavaScript back on and look in the JavaScript console to see if there are any error messages
    (3) Can you check your system error logs

    Campbell

     
  • Prof_Moriarti

    Prof_Moriarti - 2012-08-01

    Hello Campbell
    Thxs for your reply

    a) Disabling scripts same speed same behaviour in IE 9 and Firefox 14 and
    lower
    b) No errors at least i have undersood that in the console, just a warning
    referring the color schema (see attached screenshot) (sorry messages are in
    Spanish)
    c) I have try to find any problem in the system logs but i haven´t found
    anything, i have make some captures that show you the preformance of the
    server.

    Deleting a reservation is fast, editing and creating is slow
    Looking forward to hearing from you

    Regards
    Nacho

    2012/7/31 Campbell Morrison cimorrison@users.sf.net

    Things to try:
    (1) Can you try disabling JavaScript in your browser and see if the
    problem goes away? (2) Whether it does or not can you then turn JavaScript
    back on and look in the JavaScript console to see if there are any error
    messages
    (3) Can you check your system error logs

    Campbell

    • support-requests:258 Cannot create a reservation*

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last
    Updated:
    Tue Jul 31, 2012 12:43 PM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the
    system and it had worked fine for some days (2 weeks more or less), then
    when anybody wants to create a reservation the mrbs is very very slow. (it
    doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it
    to a linux environment, but it happens again. Witha fresh installation it
    works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no
    solutions.

    I have others websites in the system (using mysql) and there are no
    problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is
    only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19
    22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards

    Nacho

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Campbell Morrison

    Can you try making the following change and let me know if it makes any difference. See also SF Support Request 252 and SF Bug 240.

    Thanks,

    Campbell

    In edit_entry_handler.php add the line

    sql_mutex_unlock("$tbl_entry");

    at line 647, ie just after

    // If this is an Ajax request and if it's not a valid booking which we want
    // to commit, then output the results and exit. Otherwise we go on to commit the
    // booking
    if ($ajax && function_exists('json_encode'))
    {
    if (!($commit && $valid_booking))
    {

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-08-08
     

    Related

    Bugs: #240
    Support Requests: #252


    Last edit: Anonymous 2012-08-08
  • Prof_Moriarti

    Prof_Moriarti - 2012-08-08

    Hi Campbell
    Same speed :(
    I have attached the modified file, in order to check if the changes are good
    Nacho

    2012/8/8 Campbell Morrison cimorrison@users.sf.net

    Can you try making the following change and let me know if it makes any
    difference. See also SF Support Request 252 and SF Bug 240.

    Thanks,

    Campbell

    In edit_entry_handler.php add the line

    sql_mutex_unlock("$tbl_entry");

    at line 647, ie just after

    // If this is an Ajax request and if it's not a valid booking which we want
    // to commit, then output the results and exit. Otherwise we go on to
    commit the
    // booking
    if ($ajax && function_exists('json_encode'))
    {
    if (!($commit && $valid_booking))
    {


    • support-requests:258 Cannot create a reservation*

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last
    Updated:
    Tue Jul 31, 2012 08:41 PM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the
    system and it had worked fine for some days (2 weeks more or less), then
    when anybody wants to create a reservation the mrbs is very very slow. (it
    doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it
    to a linux environment, but it happens again. Witha fresh installation it
    works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no
    solutions.

    I have others websites in the system (using mysql) and there are no
    problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is
    only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19
    22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards

    Nacho

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Campbell Morrison

    For some reason I cannot see any of your attachments. I am attaching my own copy of edit_entry_handler.php with the modification. Can you try that, or else compare it with your file?

    Thanks,

    Campbell

     
  • Prof_Moriarti

    Prof_Moriarti - 2012-08-09

    Good Morning Campbell

    I have not receive any file in your last email
    Please can you send me it zipped to
    nacho.aguinaga@accelya.com
    It seems gmail is doing things

    Thxs
    Nacho

    2012/8/8 Campbell Morrison cimorrison@users.sf.net

    Can you try making the following change and let me know if it makes any
    difference. See also SF Support Request 252 and SF Bug 240.

    Thanks,

    Campbell

    In edit_entry_handler.php add the line

    sql_mutex_unlock("$tbl_entry");

    at line 647, ie just after

    // If this is an Ajax request and if it's not a valid booking which we want
    // to commit, then output the results and exit. Otherwise we go on to
    commit the
    // booking
    if ($ajax && function_exists('json_encode'))
    {
    if (!($commit && $valid_booking))
    {


    • support-requests:258 Cannot create a reservation*

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last
    Updated:
    Tue Jul 31, 2012 08:41 PM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the
    system and it had worked fine for some days (2 weeks more or less), then
    when anybody wants to create a reservation the mrbs is very very slow. (it
    doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it
    to a linux environment, but it happens again. Witha fresh installation it
    works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no
    solutions.

    I have others websites in the system (using mysql) and there are no
    problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is
    only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19
    22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards

    Nacho

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Prof_Moriarti

    Prof_Moriarti - 2012-08-09

    Hi Campbell i have paste the downloaded page and i have compared them
    Both are indentical
    Same slow speed.

    /nacho

    2012/8/9 Campbell Morrison cimorrison@users.sf.net

    The file won't come through in the notification email, but it is posted on
    the Sourceforge site here:

    https://sourceforge.net/p/mrbs/support-requests/_discuss/thread/7c40ca32/95df/attachment/edit_entry_handler.php

    Campbell

    • support-requests:258 Cannot create a reservation*

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last
    Updated:
    Wed Aug 08, 2012 09:34 AM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the
    system and it had worked fine for some days (2 weeks more or less), then
    when anybody wants to create a reservation the mrbs is very very slow. (it
    doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it
    to a linux environment, but it happens again. Witha fresh installation it
    works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no
    solutions.

    I have others websites in the system (using mysql) and there are no
    problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is
    only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19
    22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards

    Nacho

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Prof_Moriarti

    Prof_Moriarti - 2012-08-30

    Hello Campbell do you any idea
    unfortunatelly system is getting more a more slow

    2012/8/9 Prof_Moriarti prof_moriarti@users.sf.net

    Hi Campbell i have paste the downloaded page and i have compared them
    Both are indentical
    Same slow speed.

    /nacho

    2012/8/9 Campbell Morrison cimorrison@users.sf.net

    The file won't come through in the notification email, but it is posted on
    the Sourceforge site here:

    https://sourceforge.net/p/mrbs/support-requests/_discuss/thread/7c40ca32/95df/attachment/edit_entry_handler.php
    Campbell

    • support-requests:258 Cannot create a reservation*

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last
    Updated:
    Wed Aug 08, 2012 09:34 AM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the
    system and it had worked fine for some days (2 weeks more or less), then
    when anybody wants to create a reservation the mrbs is very very slow. (it
    doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it
    to a linux environment, but it happens again. Witha fresh installation it
    works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no
    solutions.

    I have others websites in the system (using mysql) and there are no
    problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is
    only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19
    22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards
    Nacho

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/


    • support-requests:258 Cannot create a reservation*

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last
    Updated:
    Thu Aug 09, 2012 07:37 AM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the
    system and it had worked fine for some days (2 weeks more or less), then
    when anybody wants to create a reservation the mrbs is very very slow. (it
    doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it
    to a linux environment, but it happens again. Witha fresh installation it
    works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no
    solutions.

    I have others websites in the system (using mysql) and there are no
    problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is
    only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19
    22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards

    Nacho

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Campbell Morrison

    Are you getting any error messages in

    (a) your Apache error log?
    (b) your PHP error log?
    (c) your MySQL query log?

    Campbell

     
  • Prof_Moriarti

    Prof_Moriarti - 2012-08-31

    Hi Campbell

    I don´t know so much about my linux server (Ubuntu) please can you tell me
    the files that i should see
    Thxs

    2012/8/30 Campbell Morrison cimorrison@users.sf.net

    Are you getting any error messages in

    (a) your Apache error log?
    (b) your PHP error log?
    (c) your MySQL query log?

    Campbell

    • support-requests:258 Cannot create a reservation*

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last
    Updated:
    Thu Aug 09, 2012 07:37 AM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the
    system and it had worked fine for some days (2 weeks more or less), then
    when anybody wants to create a reservation the mrbs is very very slow. (it
    doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it
    to a linux environment, but it happens again. Witha fresh installation it
    works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no
    solutions.

    I have others websites in the system (using mysql) and there are no
    problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is
    only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19
    22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards

    Nacho

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-09-01

    You will probably see your PHP errors in a file called error.log in your MRBS directory. More information about PHP error logs here: http://www.php.net/manual/en/book.errorfunc.php

    More information about apache errors here: http://httpd.apache.org/docs/1.3/logs.html

    MySQL error log: http://dev.mysql.com/doc/refman/5.1/en/error-log.html

    MySQL slow query log: http://dev.mysql.com/doc/refman/5.1/en/slow-query-log.html

    Campbell

     
  • Campbell Morrison

    Can you post your version of edit_entry_handler.php please so that I can check what is happening?

    Thanks,

    Campbell

     
  • Prof_Moriarti

    Prof_Moriarti - 2012-09-03

    Hi Campbell
    Here you have (attached)
    Thxs

    Nacho

    2012/9/3 Campbell Morrison cimorrison@users.sf.net

    Can you post your version of edit_entry_handler.php please so that I can
    check what is happening?

    Thanks,

    Campbell

    • support-requests:258 Cannot create a reservation*

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last
    Updated:
    Sat Sep 01, 2012 02:03 AM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the
    system and it had worked fine for some days (2 weeks more or less), then
    when anybody wants to create a reservation the mrbs is very very slow. (it
    doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it
    to a linux environment, but it happens again. Witha fresh installation it
    works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no
    solutions.

    I have others websites in the system (using mysql) and there are no
    problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is
    only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19
    22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards

    Nacho

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Campbell Morrison

    Could you try using this version of mysql.inc please and post the contents of your error.log file again? (This version of the file has some extra diagnostic information when MRBS fails to acquire exclusive database access)

    Thanks,

    Campbell

     
  • Prof_Moriarti

    Prof_Moriarti - 2012-09-03

    Hi Campbell i have not received anything
    Please can you send me to nacho.aguinaga@accelya.com
    it seem gmail has problems with attached docs
    Thxs
    Nacho

    2012/9/3 Campbell Morrison cimorrison@users.sf.net

    Could you try using this version of mysql.inc please and post the contents
    of your error.log file again? (This version of the file has some extra
    diagnostic information when MRBS fails to acquire exclusive database access)

    Thanks,

    Campbell

    Attachment: mysql.inc (15.6 kB; application/octet-stream)

    • support-requests:258 Cannot create a reservation*

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last
    Updated:
    Mon Sep 03, 2012 03:19 PM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the
    system and it had worked fine for some days (2 weeks more or less), then
    when anybody wants to create a reservation the mrbs is very very slow. (it
    doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it
    to a linux environment, but it happens again. Witha fresh installation it
    works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no
    solutions.

    I have others websites in the system (using mysql) and there are no
    problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is
    only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19
    22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards

    Nacho

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Campbell Morrison

    I think I understand the problem. My guess is that your site has no external internet access. MRBS tries to access the internet to update the timezone definitions when it considers them to be stale and if it can't access the internet will timeout after a few seconds causing the delay. This happens when functions_ical.inc is required by edit_entry_handler.php, and so you only see the delay when trying to make or edit a booking. The default expiry time is 28 days, which would explain why you just started seeing the problem after a few weeks.

    In the short term you can get round the problem by adding the following line to your config file

    $zoneinfo_expiry = PHP_INT_MAX;
    

    This will mean that MRBS will never try to get a more recent timezone definition. This doesn't matter very much - they don't change a lot.

    In the longer term I need to fix MRBS properly so that it can cope with sites that don't have external internet access. I also need to change the way that the Ajax checking on the edit_entry.php works so that it does not fire off another regular check if the previous one hasn't returned a result. On your site the Ajax checks were being fired off every 10 seconds but the results took 20 seconds to come back, meaning that the queue of requests was growing indefinitely.

    Campbell

     
    Last edit: Campbell Morrison 2012-09-05
  • Prof_Moriarti

    Prof_Moriarti - 2012-09-04

    Thxs campbell you are great

    Enviado desde mi iPhone

    El 04/09/2012, a las 18:31, "Campbell Morrison" cimorrison@users.sf.net escribió:

    I think I understand the problem. My guess is that your site has no external internet access. MRBS tries to access the internet to update the timezone definitions when it considers them to be stale and if it can't access the internet will timeout after a few seconds causing the delay. This happens when functions_ical.inc is required by edit_entry_handler.php, and so you only see the delay when trying to make or edit a booking. The default expiry time is 28 days, which would explain why you just started seeing the problem after a few weeks.

    In the short term you can get round the problem by adding the following line to your config file

    $zoneinfo_expiry = PHP_INT_MAX;
    Thius will mean that MRBS will never try to get a more recent timezone definition. This doesn't matter very much - they don't change a lot.

    In the longer term I need to fix MRBS properly so that it can cope with sites that don't have external internet access. I also need to change the way that the Ajax checking on the edit_entry.php works so that it does not fire off another regular check if the previous one hasn't returned a result. On your site the Ajax checks were being fired off every 10 seconds but the results took 20 seconds to come back, meaning that the queue of requests was growing indefinitely.

    Campbell

    support-requests:258 Cannot create a reservation

    Status: open Created: Tue Jul 31, 2012 12:43 PM UTC by Prof_Moriarti Last Updated: Mon Sep 03, 2012 04:02 PM UTC Owner: nobody

    Hello all

    I have a problem with the mrbs system, i have installed and configured the system and it had worked fine for some days (2 weeks more or less), then when anybody wants to create a reservation the mrbs is very very slow. (it doesnt appears the 2 green check marks at the end of the page).

    I have done the isntallation on several enviroments
    Windows with xampp same issue, so i thought it could be better to move it to a linux environment, but it happens again. Witha fresh installation it works fine but when after some days past the mrbs is hanged.

    I have updated to the latest versions of apache mysql and php but with no solutions.

    I have others websites in the system (using mysql) and there are no problems in these websites.

    Server is not overloaded in its resources

    Sever is in a intranet with 4 or 5 accesses per day (is almost nothing).

    the database has only 175 records.

    Loading Reports page and getting the results of any query runs perfect is only when you try to make a reservation.

    If you need further information i will provide it

    Sistema de Reservas de Salas y Aulas: MRBS 1.4.8
    Base de Datos: MySQL 5.1.61-0ubuntu0.10.10.1
    Sistema: Linux wikisalas 2.6.35-22-generic-pae #33-Ubuntu SMP Sun Sep 19 22:14:14 UTC 2010 i686
    Hora del Servidor: mar 31 jul 2012 14:42:47 CEST
    PHP: 5.3.3-1ubuntu9.10

    Sorry for my poor english

    Best regards

    Nacho

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/mrbs/support-requests/258/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/prefs/

     
  • Campbell Morrison

    Fix that prevents constant unsuccessful attempts to fetch a new VTIMEZONE definition committed to the trunk in SVN Rev 2392.

    The other fix, to prevent the client bombarding the server with Ajax requests, is not actually strictly necessary. I have realised that the queue of requests does not grow indefinitely but is limited to the number of requests that can be sent in the time taken to process a single request. For example in the case above there will only ever be two or three requests outstanding. The client is sending requests every 10 seconds and the server is taking 20 seconds to process them. After 20 seconds it will just be receiving the third request and be ready to return the first. It has then reached a steady state. Nevertheless for good measure I have added a check of how many requests are outstanding in SVN Rev 2393.

    Campbell

    • status: open --> closed
    • milestone: -->
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks